<template lang="pug">
    div
        v-card
            v-card-text
                v-text-field#company(
                    label="Company"
                    prepend-icon="mdi-domain"
                    v-model="userData.company"
                )
                v-text-field#email(
                    label="Email Address"
                    prepend-icon="mdi-account"
                    v-model="userData.email"
                )
                v-text-field#password(
                    label="Password"
                    type="password"
                    prepend-icon="mdi-textbox-password"
                    v-model="userData.password"
                )
                v-btn.float-right(@click="login" color="success") Login

</template>

<script>
import axiosFactory from "../../helpers/customAxios";
const axios = axiosFactory();

export default {
    name: "Login",
    data() {
        return {
            userData: {
                email: undefined,
                password: undefined
            },
            loginError: false
        };
    },
    methods: {
        login() {
            axios
                .post("/user/login", this.userData)
                .then(response => {
                    if (response.status === 200) {
                        this.$store.commit("setLoggedIn", true);
                        localStorage.setItem(
                            "token",
                            response.data.data.attributes.token
                        );
                        this.$store.commit("setUser", response.data);
                        this.loginError = false;
                        this.$router.push({ path: "projects" });
                    } else {
                        this.loginError = true;
                    }
                    this.$store.dispatch("users/fetchAllUser", {
                        link: response.data.links.allUsers
                    });
                })
                .catch(error => {
                    this.$sentry.captureException(error);
                    console.log(error);
                    this.loginError = true;
                });
        }
    }
};
</script>
